it-swarm.com.de

Openssh-server kann nicht installiert werden

Entschuldigung für die Dump-Frage, aber es ist wirklich schwer herauszufinden, was los ist. Ich versuche openssh-server zu installieren:

Sudo apt-get install openssh-server

Ich bekomme ein sehr seltsames Protokoll, ich weiß nicht, wie Tomcat in dieses Problem verwickelt ist:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
openssh-server is already the newest version.
The following packages were automatically installed and are no longer required:
  libntdb1 linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic
  linux-headers-4.2.0-34 linux-headers-4.2.0-34-generic linux-headers-4.2.0-35
  linux-headers-4.2.0-35-generic linux-headers-4.2.0-36
  linux-headers-4.2.0-36-generic linux-headers-4.2.0-38
  linux-headers-4.2.0-38-generic linux-image-4.2.0-16-generic
  linux-image-4.2.0-34-generic linux-image-4.2.0-35-generic
  linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic
  linux-image-extra-4.2.0-16-generic linux-image-extra-4.2.0-34-generic
  linux-image-extra-4.2.0-35-generic linux-image-extra-4.2.0-36-generic
  linux-image-extra-4.2.0-38-generic python-ntdb
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up openssh-server (1:6.9p1-2ubuntu0.2) ...
insserv: warning: script 'K99Tomcat' missing LSB tags and overrides
insserv: warning: script 'Tomcat8' missing LSB tags and overrides
insserv: There is a loop at service rc.local if started
insserv: There is a loop between service rc.local and procps if started
insserv:  loop involving service procps at depth 2
insserv:  loop involving service udev at depth 1
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Max recursions depth 99 reached
insserv:  loop involving service bluetooth at depth 2
insserv: There is a loop at service Tomcat if started
insserv: There is a loop between service Tomcat and hwclock if started
insserv:  loop involving service hwclock at depth 1
insserv:  loop involving service checkroot at depth 3
insserv:  loop involving service mountdevsubfs at depth 1
insserv:  loop involving service networking at depth 4
insserv:  loop involving service Tomcat at depth 1
insserv: There is a loop between service Tomcat and dns-clean if started
insserv:  loop involving service dns-clean at depth 1
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package openssh-server (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up thermald (1.4.3-5ubuntu3) ...
insserv: warning: script 'K99Tomcat' missing LSB tags and overrides
insserv: warning: script 'Tomcat8' missing LSB tags and overrides
insserv: There is a loop at service rc.local if started
insserv: There is a loop between service rc.local and procps if started
insserv:  loop involving service procps at depth 2
insserv:  loop involving service udev at depth 1
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting Tomcat8 depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Max recursions depth 99 reached
insserv:  loop involving service bluetooth at depth 2
insserv: There is a loop at service Tomcat if started
insserv: There is a loop between service Tomcat and hwclock if started
insserv:  loop involving service hwclock at depth 1
insserv:  loop involving service checkroot at depth 3
insserv:  loop involving service mountdevsubfs at depth 1
insserv:  loop involving service networking at depth 4
insserv:  loop involving service Tomcat at depth 1
insserv: There is a loop between service Tomcat and dns-clean if started
insserv:  loop involving service dns-clean at depth 1
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package thermald (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 openssh-server
 thermald
E: Sub-process /usr/bin/dpkg returned an error code (1)

Könnten Sie bitte erklären, was falsch ist?

2
Rudziankoŭ

Auf den ersten Blick sieht es so aus, als hätten Sie etwas, das nie vollständig installiert wurde. Schau dir die Linie an

2 not fully installed or removed.

Obwohl ich nicht sicher bin, haben Sie möglicherweise versucht, Tomcat8 zu installieren, und es ist fehlgeschlagen. Ich würde anfangen, Tomcat8 loszuwerden, wenn Sie sicher sind, dass Sie es nicht brauchen.

apt-get remove Tomcat8

Lass es auch aufräumen, was es nicht mehr braucht. Das beseitigt unnötiges Durcheinander in Ihrer Ausgabe (alle Linux-Pakete oben). Es sagt dir sogar, was du dafür tun sollst.

Use 'apt-get autoremove' to remove them.

Wenn Sie mit all dem fertig sind, versuchen Sie erneut, openssh-server zu installieren und sehen Sie, was passiert.

2
jawtheshark